Bug 212409 - [PATCH] x11-toolkits/py-xlib update to 0.17
Summary: [PATCH] x11-toolkits/py-xlib update to 0.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-06 12:33 UTC by Eero Hänninen
Modified: 2016-09-21 15:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mwm)


Attachments
x11-toolkits/py-xlib update to 0.17 (3.12 KB, patch)
2016-09-06 12:33 UTC, Eero Hänninen
no flags Details | Diff
x11-toolkits/py-xlib update to 0.17 with fixed dependency (3.26 KB, patch)
2016-09-07 10:56 UTC, Eero Hänninen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Hänninen 2016-09-06 12:33:03 UTC
Created attachment 174412 [details]
x11-toolkits/py-xlib update to 0.17

x11-toolkits/py-xlib update to version 0.17
Major update reason: python 2.7, 3.3, 3.4, 3.5 support

Changes:
Master site has been moved from SF to GitHub
Fixed license
Corrected and regenerated patch
Comment 1 mwm 2016-09-06 14:38:48 UTC
I haven't used python-xlib in quite a while. My only objection to this patch is that I'm still listed as maintainer.
Comment 2 Dmitry Marakasov freebsd_committer 2016-09-06 20:30:57 UTC
Eero, would you like to take over maintainership of this port?
Comment 3 Eero Hänninen 2016-09-07 04:32:22 UTC
Ok, I will take maintainership
Comment 4 Dmitry Marakasov freebsd_committer 2016-09-07 10:16:13 UTC
Does not configure, seem to try to access network.

===>  Configuring for xlib-0.17
Download error on https://pypi.python.org/simple/setuptools-scm/: [Errno 8] hostname nor servname provided, or not known -- Some packages may not be found!
Couldn't find index page for 'setuptools-scm' (maybe misspelled?)
Download error on https://pypi.python.org/simple/: [Errno 8] hostname nor servname provided, or not known -- Some packages may not be found!
No local packages or download links found for setuptools-scm
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 47, in <module>
    'Topic :: Software Development :: User Interfaces',
  File "/usr/local/lib/python2.7/distutils/core.py", line 111, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 269, in __init__
    self.fetch_build_eggs(attrs['setup_requires'])
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 826, in resolve
    dist = best[req.key] = env.best_match(req, ws, installer)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1092, in best_match
    return self.obtain(req, installer)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1104, in obtain
    return installer(requirement)
  File "/usr/local/lib/python2.7/site-packages/setuptools/dist.py", line 380, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/local/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 658, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools-scm')
*** Error code 1
Comment 5 Eero Hänninen 2016-09-07 10:56:21 UTC
Created attachment 174471 [details]
x11-toolkits/py-xlib update to 0.17 with fixed dependency

new patch with fixed dependency list
Comment 6 commit-hook freebsd_committer 2016-09-21 15:01:36 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Sep 21 15:00:35 UTC 2016
New revision: 422563
URL: https://svnweb.freebsd.org/changeset/ports/422563

Log:
  - Update to 0.17
  - Pass maintainership to submitter
  - Add LICENSE
  - Add NO_ARCH

  PR:		212409
  Submitted by:	fax@nohik.ee
  Approved by:	mwm@mired.org (maintainer)

Changes:
  head/x11-toolkits/py-xlib/Makefile
  head/x11-toolkits/py-xlib/distinfo
  head/x11-toolkits/py-xlib/files/patch-Xlib_protocol_display.py
  head/x11-toolkits/py-xlib/files/patch-display